This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise Server 12 libgcrypt Cryptographic Module
Certificate details
| Certificate ID | #2464 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 30.10.2015 , 17.11.2017 , 24.01.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | SUSE Libgcrypt is a general purpose cryptographic library based on the code from GnuPG. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, Serpent, RC2, DES, Triple-DES, TDES, TDEA, Salsa20, IDEA, Camellia, SEED, HMAC, HMAC-SHA-256, CMACAsymmetric Algorithms
ECDSA, EdDSA, ECC, DSAHash functions
SHA-1, SHA1, SHA-384, SHA-512, SHA-224, SHA224, SHA256, SHA384, SHA512, SHA-256, MD4, MD5Schemes
MACProtocols
SSHRandomness
DRBG, RNGLibraries
libgcryptElliptic Curves
P-224, P-256, P-384, P-521, P-192, NIST P-192, Ed25519Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSSecurity level
Level 1, level 1Side-channel analysis
timing attacksStandards
FIPS 140-2, FIPS PUB 140-2, FIPS 186-4, FIPS180-4, FIPS186-4, FIPS197, FIPS198-1, SP 800-90A, PKCS #1, PKCS#1, RFC4880, RFC 2268, RFC3394, RFC5649Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2464,
"dgst": "764228040735fc94",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#967",
"DRBG#1643",
"#831",
"HMAC#2183",
"#3176",
"HMAC#3177",
"#2831",
"DRBG#831",
"SHS#3982",
"SHS#3910",
"#2183",
"#3908",
"#3982",
"AES#3433",
"DRBG#834",
"#1237",
"#4766",
"SHS#3911",
"#2186",
"#2834",
"#3910",
"#1642",
"#833",
"#1645",
"HMAC#3179",
"HMAC#2184",
"RSA#2607",
"DRBG#1699",
"RSA#1757",
"SHS#2833",
"#3434",
"HMAC#3176",
"#3433",
"DRBG#1647",
"AES#4840",
"DRBG#1644",
"#2185",
"#4840",
"#834",
"#3177",
"ECDSA#1237",
"SHS#3908",
"RSA#2660",
"#4765",
"DRBG#1645",
"#1699",
"AES#4765",
"HMAC#3241",
"#2184",
"#1644",
"DSA#1297",
"#3179",
"#832",
"HMAC#3178",
"SHS#2832",
"SHS#3909",
"#1643",
"DRBG#1646",
"#3911",
"SHS#2831",
"#3241",
"#1283",
"AES#3434",
"DRBG#832",
"#2660",
"#1297",
"#1647",
"Triple-DES#1936",
"DSA#967",
"#2533",
"DRBG#833",
"#2607",
"HMAC#2186",
"HMAC#2185",
"#2832",
"ECDSA#1195",
"#3909",
"AES#4766",
"DRBG#1642",
"#689",
"ECDSA#689",
"DSA#1283",
"Triple-DES#2551",
"#2551",
"#1646",
"#1195",
"#3178",
"Triple-DES#2533",
"#1936",
"#2833",
"#1757",
"SHS#2834"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"12"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 40,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 6
},
"EdDSA": {
"EdDSA": 1
}
},
"FF": {
"DSA": {
"DSA": 7
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 5
},
"CCM": {
"CCM": 2
},
"CFB": {
"CFB": 3
},
"CTR": {
"CTR": 7
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 3
},
"OFB": {
"OFB": 5
},
"XTS": {
"XTS": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"libgcrypt": {
"libgcrypt": 37
}
},
"crypto_protocol": {
"SSH": {
"SSH": 1
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"Edwards": {
"Ed25519": 3
},
"NIST": {
"NIST P-192": 1,
"P-192": 3,
"P-224": 6,
"P-256": 8,
"P-384": 8,
"P-521": 6
}
},
"eval_facility": {
"atsec": {
"atsec": 28
}
},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#1195": 1,
"#1237": 1,
"#1283": 1,
"#1297": 1,
"#1642": 1,
"#1643": 1,
"#1644": 1,
"#1645": 1,
"#1646": 2,
"#1647": 1,
"#1699": 2,
"#1757": 1,
"#1936": 1,
"#2183": 1,
"#2184": 1,
"#2185": 1,
"#2186": 1,
"#2533": 1,
"#2551": 1,
"#2607": 1,
"#2660": 1,
"#2831": 1,
"#2832": 1,
"#2833": 1,
"#2834": 1,
"#3176": 1,
"#3177": 1,
"#3178": 1,
"#3179": 1,
"#3241": 1,
"#3433": 1,
"#3434": 1,
"#3908": 1,
"#3909": 1,
"#3910": 1,
"#3911": 1,
"#3982": 1,
"#4765": 1,
"#4766": 1,
"#4840": 1,
"#689": 1,
"#831": 2,
"#832": 2,
"#833": 1,
"#834": 1,
"#967": 1
}
},
"fips_certlike": {
"Certlike": {
"AES 128": 1,
"AES 128, 192 and 256": 3,
"AES 128/192/25": 1,
"AES 192": 1,
"AES 256": 1,
"Cert. #3908 HMAC": 1,
"HMAC SHA-1": 1,
"HMAC SHA-224": 1,
"HMAC SHA-256": 2,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC- SHA-224": 2,
"HMAC- SHA-384": 2,
"HMAC- SHA-512": 2,
"HMAC-SHA- 1": 4,
"HMAC-SHA- 256": 4,
"HMAC-SHA- 384": 4,
"HMAC-SHA- 512": 4,
"HMAC-SHA-256": 2,
"PKCS #1": 2,
"PKCS#1": 2,
"SHA- 224": 1,
"SHA- 384": 2,
"SHA- 512": 2,
"SHA-1": 3,
"SHA-224": 4,
"SHA-256": 4,
"SHA-384": 6,
"SHA-512": 6,
"SHA1": 1,
"SHA224": 1,
"SHA256": 1,
"SHA384": 1,
"SHA512": 1,
"SHS 2": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 1
},
"MD5": {
"MD5": 1
}
},
"SHA": {
"SHA1": {
"SHA-1": 3,
"SHA1": 1
},
"SHA2": {
"SHA-224": 4,
"SHA-256": 4,
"SHA-384": 6,
"SHA-512": 6,
"SHA224": 1,
"SHA256": 1,
"SHA384": 1,
"SHA512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 23
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {
"SCA": {
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 35,
"FIPS 186-4": 3,
"FIPS PUB 140-2": 1,
"FIPS180-4": 1,
"FIPS186-4": 1,
"FIPS197": 1,
"FIPS198-1": 1
},
"NIST": {
"SP 800-90A": 9
},
"PKCS": {
"PKCS #1": 1,
"PKCS#1": 1
},
"RFC": {
"RFC 2268": 1,
"RFC3394": 1,
"RFC4880": 1,
"RFC5649": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 18
},
"RC": {
"RC2": 1
},
"Serpent": {
"Serpent": 1
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 1,
"Triple-DES": 5
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CMAC": 2,
"HMAC": 17,
"HMAC-SHA-256": 1
}
},
"djb": {
"Salsa": {
"Salsa20": 1
}
},
"miscellaneous": {
"Camellia": {
"Camellia": 1
},
"IDEA": {
"IDEA": 1
},
"SEED": {
"SEED": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"ECDSA#1195",
"HMAC#3176",
"DRBG#1646",
"SHS#2831",
"AES#4766",
"DRBG#1643",
"DRBG#1642",
"HMAC#2183",
"ECDSA#689",
"DRBG#1647",
"AES#4840",
"DRBG#1644",
"HMAC#3177",
"DSA#1283",
"Triple-DES#2551",
"DRBG#831",
"SHS#3982",
"ECDSA#1237",
"SHS#3910",
"AES#3434",
"SHS#3908",
"RSA#2660",
"DRBG#832",
"AES#3433",
"DRBG#1645",
"DRBG#834",
"AES#4765",
"Triple-DES#1936",
"DSA#967",
"SHS#3911",
"Triple-DES#2533",
"HMAC#3241",
"DRBG#833",
"HMAC#3179",
"DSA#1297",
"HMAC#2184",
"RSA#2607",
"HMAC#3178",
"DRBG#1699",
"HMAC#2186",
"RSA#1757",
"SHS#2834",
"SHS#2832",
"SHS#2833",
"SHS#3909",
"HMAC#2185"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#3434",
"#967",
"#3911",
"#3909",
"#689",
"#3433",
"#3241",
"#831",
"#1283",
"#3176",
"#2831",
"#2185",
"#4840",
"#834",
"#3177",
"#2183",
"#2551",
"#3908",
"#3982",
"#1646",
"#4765",
"#2660",
"#1195",
"#1699",
"#1297",
"#1237",
"#1647",
"#3178",
"#4766",
"#1936",
"#2186",
"#2834",
"#3910",
"#2833",
"#2533",
"#1642",
"#2184",
"#2607",
"#833",
"#1645",
"#1644",
"#2832",
"#1757",
"#3179",
"#832",
"#1643"
]
},
"policy_metadata": {
"/Author": "Alejandro Fabio Masino",
"/CreationDate": "D:20180112094646-06\u002700\u0027",
"/Creator": "Writer",
"/Keywords": "FIPS 140-2",
"/Producer": "LibreOffice 5.4",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 277716,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.atsec.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 26
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "a4e9aa96364a9768c18a04dd08d89ec9df5b176dec361fa460f87de10cf8c11b",
"source_hash": "2854d124dde04dc73aaba7221d5b71fc6ab46ce4e4dcd02e79510dbb19e327ec",
"txt_hash": "558e34cfed0fd9be56340830242e0969e810ff88519eb2ba60cfa3ec576ffcd5"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertOct2015.pdf",
"date_sunset": null,
"description": "SUSE Libgcrypt is a general purpose cryptographic library based on the code from GnuPG.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SUSE Linux Enterprise Server 12 libgcrypt Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.0 [1], 2.0 [2]",
"tested_conf": [
"HP Proliant DL320e Gen8 with AES-NI [1]",
"HP Proliant DL320e Gen8 without AES-NI [1]",
"SLES12 operating on FUJITSU Server PRIMERGY CX2570 M2 inside a CX400 M1 enclosure with PAA [2]",
"SLES12 operating on FUJITSU Server PRIMERGY CX2570 M2 inside a CX400 M1 enclosure without PAA [2]",
"SLES12 operating on IBM z13 with PAI [2]",
"SLES12 operating on IBM z13 without PAI [2] (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2015-10-30",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-11-17",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-01-24",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}